﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;

namespace ProjectElectricLocomotive.Entities
{
    /// <summary>
    /// Класс-сущность "Электровоз"
    /// </summary>
    public class EntityElectricLocomotive : EntityLocomotive
    {
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия рогов
        /// </summary>
        public bool Horns { get; private set; }
        /// <summary>
        /// Признак (опция) наличия отсека для батарей
        /// </summary>
        public bool Battery { get; private set; }

        /// <summary>
        /// Инициализация полей объекта-класса спортивного автомобиля
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Веc поезда</param>
        /// <param name="bodyColor">Основной цвет</param>   
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="horns">Признак наличия рогов</param>
        /// <param name="battery">Признак наличия отсека для батарей</param>
        public EntityElectricLocomotive(int speed, double weight, Color bodyColor, Color additionalColor, bool horns, bool battery) :
            base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Horns = horns;
            Battery = battery;
        }

    }
}
